<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Anwesenheiten\Anwesenheitseingabe\KursAbschliessen;

class SendKursAbschliessenDialogEMailView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/anwesenheiten/anwesenheitensendabschliessenemail.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $result = $this->viewModel->kurstag;
    $result->optionalCommentInput = $this->viewModel->optionalCommentInput;
    $result->speichernInNotizenSuccess = $this->viewModel->speichernInNotizenSuccess;
    return array($result);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpKurstage(true);
  }
}